New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Ios reader won't install in latest downloaded version of calibre #112

Closed
Albroon opened this Issue Sep 2, 2014 · 7 comments

Comments

Projects
None yet
3 participants
@Albroon

Albroon commented Sep 2, 2014

Been using calibre for years, and Marvin since iTunes stopped supporting ebooks. The plugins worked really well and were very simple to install last time, but since the upgrade Calibre won't install Ios reader applications plug-in. I get following error message:
calibre, version 2.1.0
ERROR: Install Plugin Failed: A problem occurred while installing this plugin. This plugin will now be uninstalled. Please post the error message in details below into the forum thread for this plugin and restart Calibre.

Traceback (most recent call last):
File "site-packages/calibre/gui2/dialogs/plugin_updater.py", line 712, in _install_clicked
File "site-packages/calibre/customize/ui.py", line 379, in add_plugin
File "site-packages/calibre/customize/ui.py", line 53, in load_plugin
File "site-packages/calibre/customize/zipplugin.py", line 197, in load
File "lib/python2.7/importlib/init.py", line 37, in import_module
File "site-packages/calibre/customize/zipplugin.py", line 179, in load_module
File "calibre_plugins.ios_reader_apps.init", line 43, in
ImportError: No module named PyQt4.Qt

Can you help?
Albroon22

@stevenpom

This comment has been minimized.

stevenpom commented Sep 2, 2014

i am having the same issue on two computers i tried

@Philantrop

This comment has been minimized.

Owner

Philantrop commented Sep 2, 2014

Please do search before you open a new issue. This has been reported several times already and has just been fixed with release 1.4.3.

@Philantrop Philantrop closed this Sep 2, 2014

@Albroon

This comment has been minimized.

Albroon commented Sep 2, 2014

i downloaded the latest version of Calibre last night from the website, re-installed, and it still happened, so how can that be?

Sent from my iPad

On 2 Sep 2014, at 9:45 pm, "Wulf C. Krueger" notifications@github.com wrote:

Please do search before you open a new issue. This has been reported several times already and has just been fixed with release 1.4.3.


Reply to this email directly or view it on GitHub.

@stevenpom

This comment has been minimized.

stevenpom commented Sep 3, 2014

it worked fine for me. I had removed teh MarvinXD Plugin before i tried to install the IOS one. and make sure you device is not connected

@Albroon

This comment has been minimized.

Albroon commented Sep 3, 2014

I beg to differ! The problem has not been solved, as I downloaded the latest version of Calibre last night again and installed it. After that still received above error message

@Albroon

This comment has been minimized.

Albroon commented Sep 3, 2014

Removing MarvinXD was the answer. Thanks Philanthrop!!!!

On Wed, Sep 3, 2014 at 6:55 PM, stevenpom notifications@github.com wrote:

it worked fine for me. I had removed teh MarvinXD Plugin before i tried to
install the IOS one. and make sure you device is not connected


Reply to this email directly or view it on GitHub
#112 (comment)
.

Alistair Brown
Km. 8 Thadeau Road
Vientiane
Lao PDR PO Box 181
Tel +85625552 8534

@Albroon

This comment has been minimized.

Albroon commented Sep 3, 2014

Now have another error, when I tried to customise IOS reader to select Marvin as the preferred reader application I received this

calibre, version 2.1.0
ERROR: Unhandled exception: ImportError:cannot import name ConfigWidget

calibre 2.1 isfrozen: True is64bit: True
Darwin-13.3.0-x86_64-i386-64bit Darwin ('64bit', '')
('Darwin', '13.3.0', 'Darwin Kernel Version 13.3.0: Tue Jun 3 21:27:35 PDT 2014; root:xnu-2422.110.17~1/RELEASE_X86_64')
Python 2.7.8
OSX: ('10.9.4', ('', '', ''), 'x86_64')
Successfully initialized third party plugins: Marvin XD && iOS reader applications
Traceback (most recent call last):
File "site-packages/calibre/gui2/preferences/plugins.py", line 292, in customize_plugin
File "site-packages/calibre/gui2/preferences/plugins.py", line 370, in modify_plugin
File "site-packages/calibre/customize/init.py", line 152, in do_user_config
File "calibre_plugins.ios_reader_apps.init", line 493, in config_widget
ImportError: cannot import name ConfigWidget

Can anyone help me?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment